PHP is one of the most commonly used curly-brace programming languages. It is exceptionally popular as it’s free software, which you can use to develop responsive websites like social networking websites, web stores or e-teaching websites instead of static HTML websites. A PHP module must be activated on the web server where a PHP site is hosted so that its code can be ‘translated’. As there are no license taxes for this type of module and the language itself offers countless possibilities for the web apps that you set up, there’re hundreds of millions of PHP sites. Also, there’re a large number of PHP-based scripts, which you can use for your websites without needing to possess any programming knowledge. Since there are a handful of versions of PHP, you should confirm that the very same version that you used while developing your website is activated on the web server as well.

PHP 4 and PHP 5 Support in Shared Website Hosting

Our shared website hosting servers support different PHP versions, which means that your sites will run properly no matter if your PHP scripts are outdated. We know that an old site doesn’t inevitably imply a vulnerable one as you may have implemented plenty of source code modifications. That is the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can select which one will be enabled for your web hosting account. The version can be changed with just one mouse click in your Hepsia Control Panel and the update will be applied immediately. If you wish to run both newer and older scripts, there is even an option to use a different PHP version for each of your domains simultaneously.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

We’re unwavering in our conviction that years spent creating a website shouldn’t be wasted, which goes to say that in case you purchase a semi-dedicated server from our company, you will be able to run any script, irrespective of whether it’s new or old. Unlike lots of web hosting suppliers, we support a number of different versions of PHP on our avant-garde cloud web hosting platform – 4, 5.2, 5.3, 5.4 and 5.5. You will not only be able to enable the required version via your Hepsia Control Panel, but you’ll also have the option to choose a different version for each website. The latter can be done merely by placing an .htaccess file in the root directory of the given site. You can change the current version not only for a single site, but also for the whole account and the update will be applied in only a few minutes. With our hosting services, you can be sure that you won’t ever run into any website compatibility obstacles.